=== tests/parser/CMakeLists.txt ===
ADD_SUBDIRECTORY( yum )
ADD_SUBDIRECTORY( inifile )

ADD_TESTS( ProductFileReader )
ADD_TESTS( RepoFileReader )
ADD_TESTS( RepoindexFileReader )
ADD_TESTS( HistoryLogReader )
