=== tests/zyppng/CMakeLists.txt ===
ADD_TESTS(
  EventLoop
)

ADD_SUBDIRECTORY( media )
