=== tests/parser/yum/CMakeLists.txt ===
ADD_TESTS(RepomdFileReader)
