=== tests/zyppng/media/CMakeLists.txt ===
IF( NOT DISABLE_MEDIABACKEND_TESTS)
  ADD_TESTS(
    NetworkRequestDispatcher
    EvDownloader
  )
ENDIF()
