=== debian/changelog ===
libzypp (17.25.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update versioned B-D: libsolv-dev (>= 0.7.17).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Feb 2021 12:08:04 +0100

libzypp (17.25.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Fix D (in bin:pkg libzypp-dev): libsolv0-dev -> libsolv-dev. (Also fix
      minimal version required).
    + Fix S (in libzypp-doc): libzypp1702 -> libzypp1722.
  * debian/patches:
    + Trivial rebase of all patches.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Jan 2021 16:48:04 +0100

libzypp (17.25.5-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches:
    + Update 1003_various-typo-fixes.patch. More typo fixes.
    + Add patch header to 1004_fix-fastcgi-includes.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Jan 2021 16:04:21 +0100

libzypp (17.25.5-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
    - Fix FTBFS in MediaSetAccess_test. (Closes: #977228).
    - CVE-2019-18900: Fix cookies file permissions. (Closes: #953362).
  * debian/*:
    + SONAME change (1702 -> 1722).
  * debian/patches:
    + Add 1004_fix-fastcgi-includes.patch. Fix include paths for fastcgi
      headers.
    + Trivial rebase of patches 1002 and 1003.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Various adaptations in B-D field. (Closes: #960619).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/watch:
    + Switch to format version 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse. Thanks, lintian-brush.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Jan 2021 22:31:18 +0100
